Bug 141382 - system freezes during init
Summary: system freezes during init
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-30 20:34 UTC by Erlon Ferreira
Modified: 2015-01-04 22:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 00:34:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Erlon Ferreira 2004-11-30 20:34:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
The system freezes while executing the scripts (apparently randomly)
in init.d , except when in single user mode (1) or when the scripts
are executed interatively. Even after booting in mode 1, it also
freezes if run init 3 or 5. No apparent reason since the scripts in
rc1.d and rc3.d are essentially the same, the only difference being
single (1) and local (3).
Don't know if it may have anything to do with the kind of disk (SATA)
in the machine or the BIOS RAID, since this error doesn't occur in our
notebook with same fedora version.

We have a SIS964 chipset (automatically detected) that controls two
SATA disks in RAID 1 (mirroring) mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot 'my machine' in mode 3 or 5
2.
3.
    

Actual Results:  system freezes during init

Expected Results:  normal boot

Additional info:

Comment 1 Bill Nottingham 2004-12-01 01:44:15 UTC
Any kernel messages? Normally a complete system freeze is a kernel or
hardware issue.

Comment 2 Erlon Ferreira 2004-12-01 19:58:17 UTC
No kernel message in any case. I don't know if it is a hardware issue
since it initializes safely when in single user mode (init 1).

Comment 3 rh 2004-12-13 18:06:58 UTC
I have a very similar problem.  I just upgraded from FC2 and didn't
have any problems there.

When you get an OK for Starting lm_sensors the screen goes black with
some colourful dots. It returns in a while showing that it has
executed rc.local but then it is very frozen indeed.  If I push
ctrl-alt-bs (or del?) the northwestern quarter of the screen goes
black but I still have to press reset.

If I boot to single first and continue from there there are no
problems.  Then there is also no text-in-graphics mode at the point
where things should be starting to go wrong.

Comment 4 rh 2004-12-23 13:24:31 UTC
Removing rhgb from /etc/grub.conf solved my problem.

Comment 5 Gabor Kovacs 2005-05-16 16:39:48 UTC
I have a similar problem:
Last working kernel version: 2.6.9-1.724_FC3

The system freezes during init with ALL NEWER kernel versions (2.6.10-1.766_FC3
2.6.10-1.770_FC3 2.6.11-1.14_FC3) usually right after "Enabling swap". (Actually
I have no swap space, so it does nothing.) No log in messages.

System: AMD Athlon XP 2200
MSI K7N2 Delta-L
BIOS version: W6570MS V5.8

I have built 2.6.11.9 and it works! (Config was read from
config-2.6.11-1.14_FC3) I think it must be a fedora kernel build problem. 

Comment 6 Dave Jones 2005-07-15 19:53:02 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 7 Dave Jones 2005-10-03 00:34:18 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.